Format: https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
Upstream-Name: qtsystems
Upstream-Contact: development@qt-project.org
Source: https://code.qt.io/qt/qtsystems.git
Files-Excluded:
 doc/config/*/scripts/jquery.js

Files: .qmake.conf
 .tag
 config.tests/bluez/bluez.pro
 config.tests/evdev/evdev.pro
 config.tests/gconf/gconf.pro
 config.tests/mir/mir.pro
 config.tests/udev/udev.pro
 config.tests/x11/x11.pro
 examples/examples.pro
 examples/publishsubscribe/battery-charge/battery-charge.pro
 examples/publishsubscribe/battery-charge/battery-publisher/battery-publisher.pro
 examples/publishsubscribe/battery-charge/battery-publisher/batterypublisher.ui
 examples/publishsubscribe/publish-subscribe/publish-subscribe.pro
 examples/publishsubscribe/publish-subscribe/publisherdialog.ui
 examples/publishsubscribe/publish-subscribe/subscriberdialog.ui
 examples/publishsubscribe/publishsubscribe.pro
 examples/serviceframework/dialer/content/qmldir
 examples/serviceframework/dialer/dialer.pro
 examples/serviceframework/dialer/dialer.qrc
 examples/serviceframework/dialer/info.json
 examples/serviceframework/dialer/notions.json
 examples/serviceframework/remotedialerservice/info.json
 examples/serviceframework/remotedialerservice/interfaces.json
 examples/serviceframework/remotedialerservice/remotedialerservice.pro
 examples/serviceframework/remotedialerservice/remotedialerservice.xml
 examples/serviceframework/servicebrowser/servicebrowser.pro
 examples/serviceframework/serviceframework.pro
 examples/serviceframework/voipdialerplugin/voipdialerplugin.pro
 examples/serviceframework/voipdialerplugin/voipdialerservice.xml
 examples/systeminfo/inputinfo/inputinfo.pro
 examples/systeminfo/qml-battery/qml-battery.pro
 examples/systeminfo/qml-battery/qml-battery.qrc
 examples/systeminfo/qml-deviceinfo/qml-deviceinfo.pro
 examples/systeminfo/qml-deviceinfo/qml-deviceinfo.qrc
 examples/systeminfo/qml-inputinfo/qml-inputinfo.pro
 examples/systeminfo/qml-inputinfo/qml-inputinfo.qrc
 examples/systeminfo/systeminfo.pro
 qtsystems.pro
 src/imports/imports.pro
 src/imports/publishsubscribe/publishsubscribe.json
 src/imports/publishsubscribe/publishsubscribe.pro
 src/imports/publishsubscribe/qmldir
 src/imports/serviceframework/qmldir
 src/imports/serviceframework/serviceframework.json
 src/imports/serviceframework/serviceframework.pro
 src/imports/systeminfo/qmldir
 src/imports/systeminfo/systeminfo.json
 src/imports/systeminfo/systeminfo.pro
 src/publishsubscribe/publishsubscribe.pro
 src/serviceframework/ipc/ipc.pri
 src/serviceframework/serviceframework.pro
 src/src.pro
 src/systeminfo/systeminfo.pro
 src/tools/servicefw/servicefw.pro
 src/tools/sfwlisten/sfwlisten.pro
 src/tools/tools.pro
 sync.profile
 tests/auto/auto.pro
 tests/auto/cmake/CMakeLists.txt
 tests/auto/cmake/cmake.pro
 tests/auto/cmake/test_modules/CMakeLists.txt
 tests/auto/publishsubscribe/publishsubscribe.pro
 tests/auto/publishsubscribe/qvaluespace/qvaluespace.pro
 tests/auto/serviceframework/qremoteserviceregister/qremoteserviceregister.pro
 tests/auto/serviceframework/qremoteserviceregister/xmldata/rsrexampleservice.xml
 tests/auto/serviceframework/qservicefilter/qservicefilter.pro
 tests/auto/serviceframework/qserviceinterfacedescriptor/qserviceinterfacedescriptor.pro
 tests/auto/serviceframework/qservicemanager/qservicemanager.pro
 tests/auto/serviceframework/qservicemanager/sampleservice/sampleservice.pro
 tests/auto/serviceframework/qservicemanager/sampleservice2/sampleservice2.pro
 tests/auto/serviceframework/qservicemanager/testservice2/testservice2.pro
 tests/auto/serviceframework/qservicemanager/tst_qservicemanager.pro
 tests/auto/serviceframework/qservicemanager/xml/sampleservice.xml
 tests/auto/serviceframework/qservicemanager/xml/sampleservice2.xml
 tests/auto/serviceframework/qservicemanager/xml/testserviceplugin.xml
 tests/auto/serviceframework/qservicemanager_ipc/client/client.pro
 tests/auto/serviceframework/qservicemanager_ipc/client/xmldata/ipcexampleservice.xml
 tests/auto/serviceframework/qservicemanager_ipc/qservicemanager_ipc.pro
 tests/auto/serviceframework/qservicemanager_ipc/service/service.pro
 tests/auto/serviceframework/qservicemetadata/qservicemetadata.pro
 tests/auto/serviceframework/qservicemetadata/testdata/DuplicatedServiceTag.xml
 tests/auto/serviceframework/qservicemetadata/testdata/ServiceTest.xml
 tests/auto/serviceframework/qservicemetadata/testdata/ServiceTestIPC.xml
 tests/auto/serviceframework/qservicemetadata/testdata/ServiceTestOld.xml
 tests/auto/serviceframework/qservicemetadata/testdata/Test1.xml
 tests/auto/serviceframework/qservicemetadata/testdata/Test10.xml
 tests/auto/serviceframework/qservicemetadata/testdata/Test11.xml
 tests/auto/serviceframework/qservicemetadata/testdata/Test12.xml
 tests/auto/serviceframework/qservicemetadata/testdata/Test13.xml
 tests/auto/serviceframework/qservicemetadata/testdata/Test14.xml
 tests/auto/serviceframework/qservicemetadata/testdata/Test15.xml
 tests/auto/serviceframework/qservicemetadata/testdata/Test16.xml
 tests/auto/serviceframework/qservicemetadata/testdata/Test17.xml
 tests/auto/serviceframework/qservicemetadata/testdata/Test18.xml
 tests/auto/serviceframework/qservicemetadata/testdata/Test19.xml
 tests/auto/serviceframework/qservicemetadata/testdata/Test2.xml
 tests/auto/serviceframework/qservicemetadata/testdata/Test20.xml
 tests/auto/serviceframework/qservicemetadata/testdata/Test21.xml
 tests/auto/serviceframework/qservicemetadata/testdata/Test22.xml
 tests/auto/serviceframework/qservicemetadata/testdata/Test23.xml
 tests/auto/serviceframework/qservicemetadata/testdata/Test24.xml
 tests/auto/serviceframework/qservicemetadata/testdata/Test25.xml
 tests/auto/serviceframework/qservicemetadata/testdata/Test26.xml
 tests/auto/serviceframework/qservicemetadata/testdata/Test27.xml
 tests/auto/serviceframework/qservicemetadata/testdata/Test28.xml
 tests/auto/serviceframework/qservicemetadata/testdata/Test29.xml
 tests/auto/serviceframework/qservicemetadata/testdata/Test3.xml
 tests/auto/serviceframework/qservicemetadata/testdata/Test30.xml
 tests/auto/serviceframework/qservicemetadata/testdata/Test31.xml
 tests/auto/serviceframework/qservicemetadata/testdata/Test32.xml
 tests/auto/serviceframework/qservicemetadata/testdata/Test33.xml
 tests/auto/serviceframework/qservicemetadata/testdata/Test34.xml
 tests/auto/serviceframework/qservicemetadata/testdata/Test35.xml
 tests/auto/serviceframework/qservicemetadata/testdata/Test36.xml
 tests/auto/serviceframework/qservicemetadata/testdata/Test37.xml
 tests/auto/serviceframework/qservicemetadata/testdata/Test38.xml
 tests/auto/serviceframework/qservicemetadata/testdata/Test4.xml
 tests/auto/serviceframework/qservicemetadata/testdata/Test5.xml
 tests/auto/serviceframework/qservicemetadata/testdata/Test6.xml
 tests/auto/serviceframework/qservicemetadata/testdata/Test7.xml
 tests/auto/serviceframework/qservicemetadata/testdata/Test8.xml
 tests/auto/serviceframework/qservicemetadata/testdata/Test9.xml
 tests/auto/serviceframework/qservicemetadata/testdata/WrongOrder.xml
 tests/auto/serviceframework/qservicemetadata/testdata/emptyFilePath.xml
 tests/auto/serviceframework/qservicemetadata/testdata/emptyInterfaceName.xml
 tests/auto/serviceframework/qservicemetadata/testdata/emptyServiceName.xml
 tests/auto/serviceframework/qservicemetadata/testdata/emptyVersion.xml
 tests/auto/serviceframework/qservicemetadata/testdata/latestVersion.xml
 tests/auto/serviceframework/qservicemetadata/testdata/latestVersion2.xml
 tests/auto/serviceframework/qservicemetadata/testdata/latestVersion3.xml
 tests/auto/serviceframework/qservicemetadata/testdata/latestVersion4.xml
 tests/auto/serviceframework/servicedatabase/servicedatabase.pro
 tests/auto/serviceframework/servicedatabase/testdata/ServiceAcme.xml
 tests/auto/serviceframework/servicedatabase/testdata/ServiceAutobot.xml
 tests/auto/serviceframework/servicedatabase/testdata/ServiceCyberdyne.xml
 tests/auto/serviceframework/servicedatabase/testdata/ServiceDecepticon.xml
 tests/auto/serviceframework/servicedatabase/testdata/ServiceDharma_Flame.xml
 tests/auto/serviceframework/servicedatabase/testdata/ServiceDharma_Hydra.xml
 tests/auto/serviceframework/servicedatabase/testdata/ServiceDharma_Orchid.xml
 tests/auto/serviceframework/servicedatabase/testdata/ServiceDharma_Pearl.xml
 tests/auto/serviceframework/servicedatabase/testdata/ServiceDharma_Swan.xml
 tests/auto/serviceframework/servicedatabase/testdata/ServiceLuthorCorp.xml
 tests/auto/serviceframework/servicedatabase/testdata/ServiceOmni.xml
 tests/auto/serviceframework/servicedatabase/testdata/ServicePrimatech.xml
 tests/auto/serviceframework/servicedatabase/testdata/ServicePrimatech2error.xml
 tests/auto/serviceframework/servicedatabase/testdata/ServiceSkynet.xml
 tests/auto/serviceframework/servicedatabase/testdata/ServiceWayneEnt.xml
 tests/auto/serviceframework/servicedatabase/testdata/ServiceYamagato.xml
 tests/auto/serviceframework/servicedatabase/testdata/ServiceYamagatoError.xml
 tests/auto/serviceframework/servicedeletion/servicedeletion.pro
 tests/auto/serviceframework/servicedeletion/xmldata/testdeletion.xml
 tests/auto/serviceframework/serviceframework.pro
 tests/auto/serviceframework/serviceobject/serviceobject.pro
 tests/auto/serviceframework/serviceobject/serviceobject_target/serviceobject.qrc
 tests/auto/serviceframework/serviceobject/serviceobject_target/serviceobject.xml
 tests/auto/serviceframework/serviceobject/serviceobject_target/serviceobject_target.pro
 tests/auto/serviceframework/serviceobject/test/test.pro
 tests/auto/systeminfo/qbatteryinfo/qbatteryinfo.pro
 tests/auto/systeminfo/qdeviceinfo/qdeviceinfo.pro
 tests/auto/systeminfo/qinputdeviceinfo/qinputdeviceinfo.pro
 tests/auto/systeminfo/qscreensaver/qscreensaver.pro
 tests/auto/systeminfo/systeminfo.pro
 tests/manual/sysinfo-tester/sysinfo-tester.pro
 tests/tests.pro
Copyright: 2017-2018, The Qt Company Ltd and/or its subsidiary(-ies).
License: LGPL-2.1~with-Digia-Qt-LGPL-Exception-1.1 or GPL-3
Comment:
 No explicit license headers provided by these files. Assuming license
 and copyright holdership from majority of other code files.

Files: src/imports/publishsubscribe/publishsubscribe.cpp
 src/imports/publishsubscribe/qdeclarativevaluespacepublisher.cpp
 src/imports/publishsubscribe/qdeclarativevaluespacepublisher_p.h
 src/imports/publishsubscribe/qdeclarativevaluespacepublishermetaobject.cpp
 src/imports/publishsubscribe/qdeclarativevaluespacepublishermetaobject_p.h
 src/imports/publishsubscribe/qdeclarativevaluespacesubscriber.cpp
 src/imports/publishsubscribe/qdeclarativevaluespacesubscriber_p.h
 src/imports/serviceframework/qdeclarativeservice.cpp
 src/imports/serviceframework/qdeclarativeservice_p.h
 src/imports/serviceframework/qdeclarativeserviceold.cpp
 src/imports/serviceframework/qdeclarativeserviceold_p.h
 src/imports/serviceframework/serviceframework.cpp
 src/imports/systeminfo/qdeclarativedeviceinfo.cpp
 src/imports/systeminfo/qdeclarativedeviceinfo_p.h
 src/imports/systeminfo/qdeclarativedisplayinfo.cpp
 src/imports/systeminfo/qdeclarativedisplayinfo_p.h
 src/imports/systeminfo/qdeclarativenetworkinfo_p.h
 src/imports/systeminfo/qsysteminfo.cpp
 src/publishsubscribe/gconfitem.cpp
 src/publishsubscribe/gconfitem_p.h
 src/publishsubscribe/gconflayer.cpp
 src/publishsubscribe/gconflayer_p.h
 src/publishsubscribe/qpublishsubscribeglobal.h
 src/publishsubscribe/qsystemreadwritelock_p.h
 src/publishsubscribe/qsystemreadwritelock_win.cpp
 src/publishsubscribe/qvaluespace.cpp
 src/publishsubscribe/qvaluespace.h
 src/publishsubscribe/qvaluespace_p.h
 src/publishsubscribe/qvaluespacemanager.cpp
 src/publishsubscribe/qvaluespacemanager_p.h
 src/publishsubscribe/qvaluespacepublisher.cpp
 src/publishsubscribe/qvaluespacepublisher.h
 src/publishsubscribe/qvaluespacesubscriber.cpp
 src/publishsubscribe/qvaluespacesubscriber.h
 src/publishsubscribe/qvaluespacesubscriber_p.h
 src/publishsubscribe/registrylayer_win.cpp
 src/publishsubscribe/registrylayer_win_p.h
 src/serviceframework/databasemanager.cpp
 src/serviceframework/databasemanager_p.h
 src/serviceframework/dberror.cpp
 src/serviceframework/dberror_p.h
 src/serviceframework/ipc/instancemanager.cpp
 src/serviceframework/ipc/instancemanager_p.h
 src/serviceframework/ipc/ipcendpoint.cpp
 src/serviceframework/ipc/ipcendpoint_p.h
 src/serviceframework/ipc/objectendpoint.cpp
 src/serviceframework/ipc/objectendpoint_dbus.cpp
 src/serviceframework/ipc/objectendpoint_dbus_p.h
 src/serviceframework/ipc/objectendpoint_p.h
 src/serviceframework/ipc/proxyobject.cpp
 src/serviceframework/ipc/proxyobject_p.h
 src/serviceframework/ipc/qremoteserviceregister_dbus_p.cpp
 src/serviceframework/ipc/qremoteserviceregister_dbus_p.h
 src/serviceframework/ipc/qremoteserviceregister_ls_p.cpp
 src/serviceframework/ipc/qremoteserviceregister_ls_p.h
 src/serviceframework/ipc/qremoteserviceregister_p.cpp
 src/serviceframework/ipc/qremoteserviceregister_p.h
 src/serviceframework/ipc/qremoteserviceregister_unix_p.cpp
 src/serviceframework/ipc/qremoteserviceregister_unix_p.h
 src/serviceframework/ipc/qremoteserviceregisterentry_p.h
 src/serviceframework/ipc/qservicemetaobject_dbus.cpp
 src/serviceframework/ipc/qservicemetaobject_dbus_p.h
 src/serviceframework/ipc/qservicepackage.cpp
 src/serviceframework/ipc/qservicepackage_p.h
 src/serviceframework/ipc/qsignalintercepter.cpp
 src/serviceframework/ipc/qsignalintercepter_p.h
 src/serviceframework/ipc/qslotinvoker.cpp
 src/serviceframework/ipc/qslotinvoker_p.h
 src/serviceframework/qremoteserviceregister.cpp
 src/serviceframework/qremoteserviceregister.h
 src/serviceframework/qservice.h
 src/serviceframework/qserviceclientcredentials.cpp
 src/serviceframework/qserviceclientcredentials.h
 src/serviceframework/qserviceclientcredentials_p.h
 src/serviceframework/qservicedebuglog.cpp
 src/serviceframework/qservicedebuglog_p.h
 src/serviceframework/qservicefilter.cpp
 src/serviceframework/qservicefilter.h
 src/serviceframework/qserviceframeworkglobal.h
 src/serviceframework/qserviceinterfacedescriptor.cpp
 src/serviceframework/qserviceinterfacedescriptor.h
 src/serviceframework/qserviceinterfacedescriptor_p.h
 src/serviceframework/qservicemanager.cpp
 src/serviceframework/qservicemanager.h
 src/serviceframework/qserviceoperations.cpp
 src/serviceframework/qserviceoperations_p.h
 src/serviceframework/qserviceplugininterface.cpp
 src/serviceframework/qserviceplugininterface.h
 src/serviceframework/qservicereply.cpp
 src/serviceframework/qservicereply.h
 src/serviceframework/qservicereply_p.h
 src/serviceframework/qservicerequest.cpp
 src/serviceframework/qservicerequest_p.h
 src/serviceframework/servicedatabase.cpp
 src/serviceframework/servicedatabase_p.h
 src/serviceframework/servicemetadata.cpp
 src/serviceframework/servicemetadata_p.h
 src/systeminfo/linux/qdeviceinfo_linux.cpp
 src/systeminfo/linux/qdeviceinfo_linux_p.h
 src/systeminfo/linux/qdevicekitservice_linux.cpp
 src/systeminfo/linux/qdevicekitservice_linux_p.h
 src/systeminfo/linux/qnetworkinfo_linux.cpp
 src/systeminfo/linux/qnetworkinfo_linux_p.h
 src/systeminfo/linux/qofonowrapper.cpp
 src/systeminfo/linux/qofonowrapper_p.h
 src/systeminfo/linux/qscreensaver_linux.cpp
 src/systeminfo/linux/qscreensaver_linux_p.h
 src/systeminfo/linux/qscreensaver_mir.cpp
 src/systeminfo/linux/qscreensaver_mir_p.h
 src/systeminfo/linux/qsystemalignedtimer_linux.cpp
 src/systeminfo/linux/qsystemalignedtimer_linux_p.h
 src/systeminfo/linux/qsystemalignedtimer_stub.cpp
 src/systeminfo/linux/qsystemalignedtimer_stub_p.h
 src/systeminfo/linux/qudevwrapper.cpp
 src/systeminfo/linux/qudevwrapper_p.h
 src/systeminfo/mac/qdeviceinfo_mac.mm
 src/systeminfo/mac/qdeviceinfo_mac_p.h
 src/systeminfo/mac/qnetworkinfo_mac.mm
 src/systeminfo/mac/qnetworkinfo_mac_p.h
 src/systeminfo/mac/qscreensaver_mac.mm
 src/systeminfo/mac/qscreensaver_mac_p.h
 src/systeminfo/qdeviceinfo.cpp
 src/systeminfo/qdeviceinfo.h
 src/systeminfo/qnetworkinfo.cpp
 src/systeminfo/qnetworkinfo.h
 src/systeminfo/qscreensaver.cpp
 src/systeminfo/qscreensaver.h
 src/systeminfo/qsysteminfoglobal.h
 src/systeminfo/qsysteminfoglobal_p.h
 src/systeminfo/windows/qdeviceinfo_win.cpp
 src/systeminfo/windows/qdeviceinfo_win_p.h
 src/systeminfo/windows/qnetworkinfo_win.cpp
 src/systeminfo/windows/qnetworkinfo_win_p.h
 src/systeminfo/windows/qscreensaver_win.cpp
 src/systeminfo/windows/qscreensaver_win_p.h
 src/systeminfo/windows/qwmihelper_win.cpp
 src/systeminfo/windows/qwmihelper_win_p.h
 src/tools/servicefw/servicefw.cpp
 src/tools/sfwlisten/main.cpp
Copyright: 2018, The Qt Company Ltd and/or its subsidiary(-ies).
License: LGPL-2.1~with-Digia-Qt-LGPL-Exception-1.1 or GPL-3

Files: config.tests/bluez/main.cpp
 config.tests/evdev/main.cpp
 config.tests/gconf/main.cpp
 config.tests/mir/main.cpp
 config.tests/udev/main.cpp
 config.tests/x11/main.cpp
 tests/auto/publishsubscribe/qvaluespace/tst_qvaluespace.cpp
 tests/auto/serviceframework/qremoteserviceregister/service.h
 tests/auto/serviceframework/qremoteserviceregister/tst_qremoteserviceregister.cpp
 tests/auto/serviceframework/qservicefilter/tst_qservicefilter.cpp
 tests/auto/serviceframework/qserviceinterfacedescriptor/tst_qserviceinterfacedescriptor.cpp
 tests/auto/serviceframework/qservicemanager/sampleservice/sampleserviceplugin.cpp
 tests/auto/serviceframework/qservicemanager/sampleservice/sampleserviceplugin.h
 tests/auto/serviceframework/qservicemanager/sampleservice2/sampleserviceplugin2.cpp
 tests/auto/serviceframework/qservicemanager/sampleservice2/sampleserviceplugin2.h
 tests/auto/serviceframework/qservicemanager/testservice2/testservice.h
 tests/auto/serviceframework/qservicemanager/testservice2/testserviceinterface.h
 tests/auto/serviceframework/qservicemanager/testservice2/testserviceplugin.cpp
 tests/auto/serviceframework/qservicemanager/testservice2/testserviceplugin.h
 tests/auto/serviceframework/qservicemanager/tst_qservicemanager.cpp
 tests/auto/serviceframework/qservicemanager_ipc/client/tst_qservicemanager_ipc.cpp
 tests/auto/serviceframework/qservicemanager_ipc/service/main.cpp
 tests/auto/serviceframework/qservicemetadata/tst_servicemetadata.cpp
 tests/auto/serviceframework/qsfwtestutil.cpp
 tests/auto/serviceframework/qsfwtestutil.h
 tests/auto/serviceframework/servicedatabase/tst_servicedatabase.cpp
 tests/auto/serviceframework/servicedeletion/tst_servicedeletion.cpp
 tests/auto/serviceframework/serviceobject/main.cpp
 tests/auto/serviceframework/serviceobject/serviceobject_target/serviceobject_target.cpp
 tests/auto/serviceframework/serviceobject/serviceobject_target/serviceobject_target.h
 tests/auto/serviceframework/serviceobject/tst_serviceobject.qml
 tests/auto/systeminfo/qdeviceinfo/tst_qdeviceinfo.cpp
 tests/auto/systeminfo/qscreensaver/tst_qscreensaver.cpp
Copyright: 2018, The Qt Company Ltd and/or its subsidiary(-ies).
License: GPL-3

Files: examples/publishsubscribe/battery-charge/battery-publisher/batterypublisher.cpp
 examples/publishsubscribe/battery-charge/battery-publisher/batterypublisher.h
 examples/publishsubscribe/battery-charge/battery-publisher/main.cpp
 examples/publishsubscribe/battery-charge/battery-subscriber/battery-subscriber.qml
 examples/publishsubscribe/publish-subscribe/main.cpp
 examples/publishsubscribe/publish-subscribe/publisherdialog.cpp
 examples/publishsubscribe/publish-subscribe/publisherdialog.h
 examples/publishsubscribe/publish-subscribe/subscriberdialog.cpp
 examples/publishsubscribe/publish-subscribe/subscriberdialog.h
 examples/serviceframework/dialer/content/DialButton.qml
 examples/serviceframework/dialer/content/DialScreen.qml
 examples/serviceframework/dialer/content/DialerList.qml
 examples/serviceframework/dialer/dialer.qml
 examples/serviceframework/dialer/main.cpp
 examples/serviceframework/remotedialerservice/main.cpp
 examples/serviceframework/remotedialerservice/remotedialerservice.cpp
 examples/serviceframework/remotedialerservice/remotedialerservice.h
 examples/serviceframework/servicebrowser/main.cpp
 examples/serviceframework/servicebrowser/servicebrowser.cpp
 examples/serviceframework/servicebrowser/servicebrowser.h
 examples/serviceframework/voipdialerplugin/voipdialer.cpp
 examples/serviceframework/voipdialerplugin/voipdialer.h
 examples/serviceframework/voipdialerplugin/voipdialerplugin.cpp
 examples/serviceframework/voipdialerplugin/voipdialerplugin.h
 examples/systeminfo/qml-battery/main.cpp
 examples/systeminfo/qml-battery/qml-battery.qml
 examples/systeminfo/qml-deviceinfo/main.cpp
 examples/systeminfo/qml-deviceinfo/qml-deviceinfo.qml
 examples/systeminfo/stub.h
Copyright: 2017, The Qt Company Ltd and/or its subsidiary(-ies).
License: BSD-3-clause

Files: src/systeminfo/linux/qbatteryinfo_linux.cpp
 src/systeminfo/linux/qbatteryinfo_linux_p.h
 src/systeminfo/linux/qbatteryinfo_upower.cpp
 src/systeminfo/linux/qbatteryinfo_upower_p.h
 src/systeminfo/mac/qbatteryinfo_mac.mm
 src/systeminfo/mac/qbatteryinfo_mac_p.h
 src/systeminfo/qbatteryinfo.cpp
 src/systeminfo/qbatteryinfo.h
 src/systeminfo/simulator/qsysteminfo_simulator.cpp
 src/systeminfo/simulator/qsysteminfo_simulator_p.h
 src/systeminfo/simulator/qsysteminfobackend_simulator.cpp
 src/systeminfo/simulator/qsysteminfobackend_simulator_p.h
 src/systeminfo/simulator/qsysteminfoconnection_simulator.cpp
 src/systeminfo/simulator/qsysteminfoconnection_simulator_p.h
 src/systeminfo/simulator/qsysteminfodata_simulator.cpp
 src/systeminfo/simulator/qsysteminfodata_simulator_p.h
 src/systeminfo/windows/qbatteryinfo_win.cpp
 src/systeminfo/windows/qbatteryinfo_win_p.h
Copyright: 2018, BlackBerry Limited.
  2018, The Qt Company Ltd and/or its subsidiary(-ies).
License: LGPL-2.1~with-Digia-Qt-LGPL-Exception-1.1 or GPL-3

Files: doc/config/publishsubscribe/compat.qdocconf
 doc/config/publishsubscribe/images/spinner.gif
 doc/config/publishsubscribe/macros.qdocconf
 doc/config/publishsubscribe/qt-cpp-ignore.qdocconf
 doc/config/publishsubscribe/qt-defines.qdocconf
 doc/config/publishsubscribe/qt-html-default-styles.qdocconf
 doc/config/publishsubscribe/qt-html-online-styles.qdocconf
 doc/config/publishsubscribe/qt-html-templates-online.qdocconf
 doc/config/publishsubscribe/qt-html-templates.qdocconf
 doc/config/publishsubscribe/qtpublishsubscribe-dita.qdocconf
 doc/config/publishsubscribe/qtpublishsubscribe.qdocconf
 doc/config/publishsubscribe/scripts/functions.js
 doc/config/publishsubscribe/scripts/narrow.js
 doc/config/publishsubscribe/style/common.css
 doc/config/publishsubscribe/style/narrow.css
 doc/config/publishsubscribe/style/offline.css
 doc/config/publishsubscribe/style/style.css
 doc/config/publishsubscribe/style/style_ie6.css
 doc/config/publishsubscribe/style/style_ie7.css
 doc/config/publishsubscribe/style/superfish.css
 doc/config/publishsubscribe/images/arrow_down.png
 doc/config/publishsubscribe/images/bg_l.png
 doc/config/publishsubscribe/images/bg_l_blank.png
 doc/config/publishsubscribe/images/bg_ll_blank.png
 doc/config/publishsubscribe/images/bg_r.png
 doc/config/publishsubscribe/images/bg_ul_blank.png
 doc/config/publishsubscribe/images/box_bg.png
 doc/config/publishsubscribe/images/breadcrumb.png
 doc/config/publishsubscribe/images/bullet_dn.png
 doc/config/publishsubscribe/images/bullet_gt.png
 doc/config/publishsubscribe/images/bullet_sq.png
 doc/config/publishsubscribe/images/bullet_up.png
 doc/config/publishsubscribe/images/feedbackground.png
 doc/config/publishsubscribe/images/header_bg.png
 doc/config/publishsubscribe/images/horBar.png
 doc/config/publishsubscribe/images/page.png
 doc/config/publishsubscribe/images/page_bg.png
 doc/config/publishsubscribe/images/qt-logo.png
 doc/config/publishsubscribe/images/sprites-combined.png
 doc/config/publishsubscribe/style/style_ie8.css
 doc/src/publishsubscribe/images/battery-publisher.png
 doc/src/publishsubscribe/images/battery-subscriber.png
 doc/src/publishsubscribe/images/publish-subscribe-publisher.png
 doc/src/publishsubscribe/images/publish-subscribe-subscriber.png
 doc/src/serviceframework/images/DialerServiceGUI.png
 doc/src/serviceframework/images/DialerServiceUML.png
 doc/src/serviceframework/images/servicebrowser-attributes.png
 doc/src/serviceframework/images/servicebrowser.png
 doc/src/serviceframework/images/servicexmlgen.png
 examples/publishsubscribe/battery-charge/battery-subscriber/content/bubble.png
 examples/serviceframework/dialer/content/call.png
 examples/serviceframework/dialer/content/hangup.png
 examples/serviceframework/dialer/icon.png
 doc/config/serviceframework/compat.qdocconf
 doc/config/serviceframework/images/spinner.gif
 doc/config/serviceframework/macros.qdocconf
 doc/config/serviceframework/qt-cpp-ignore.qdocconf
 doc/config/serviceframework/qt-defines.qdocconf
 doc/config/serviceframework/qt-html-default-styles.qdocconf
 doc/config/serviceframework/qt-html-online-styles.qdocconf
 doc/config/serviceframework/qt-html-templates-online.qdocconf
 doc/config/serviceframework/qt-html-templates.qdocconf
 doc/config/serviceframework/qtserviceframework-dita.qdocconf
 doc/config/serviceframework/qtserviceframework.qdocconf
 doc/config/serviceframework/scripts/functions.js
 doc/config/serviceframework/scripts/narrow.js
 doc/config/serviceframework/style/common.css
 doc/config/serviceframework/style/narrow.css
 doc/config/serviceframework/style/offline.css
 doc/config/serviceframework/style/style.css
 doc/config/serviceframework/style/style_ie6.css
 doc/config/serviceframework/style/style_ie7.css
 doc/config/serviceframework/style/superfish.css
 doc/config/serviceframework/images/arrow_down.png
 doc/config/serviceframework/images/bg_l.png
 doc/config/serviceframework/images/bg_l_blank.png
 doc/config/serviceframework/images/bg_ll_blank.png
 doc/config/serviceframework/images/bg_r.png
 doc/config/serviceframework/images/bg_ul_blank.png
 doc/config/serviceframework/images/box_bg.png
 doc/config/serviceframework/images/breadcrumb.png
 doc/config/serviceframework/images/bullet_dn.png
 doc/config/serviceframework/images/bullet_gt.png
 doc/config/serviceframework/images/bullet_sq.png
 doc/config/serviceframework/images/bullet_up.png
 doc/config/serviceframework/images/feedbackground.png
 doc/config/serviceframework/images/header_bg.png
 doc/config/serviceframework/images/horBar.png
 doc/config/serviceframework/images/page.png
 doc/config/serviceframework/images/page_bg.png
 doc/config/serviceframework/images/qt-logo.png
 doc/config/serviceframework/images/sprites-combined.png
 doc/config/serviceframework/style/style_ie8.css
 doc/config/systeminfo/compat.qdocconf
 doc/config/systeminfo/images/spinner.gif
 doc/config/systeminfo/macros.qdocconf
 doc/config/systeminfo/qt-cpp-ignore.qdocconf
 doc/config/systeminfo/qt-defines.qdocconf
 doc/config/systeminfo/qt-html-default-styles.qdocconf
 doc/config/systeminfo/qt-html-online-styles.qdocconf
 doc/config/systeminfo/qt-html-templates-online.qdocconf
 doc/config/systeminfo/qt-html-templates.qdocconf
 doc/config/systeminfo/qtsysteminfo-dita.qdocconf
 doc/config/systeminfo/qtsysteminfo.qdocconf
 doc/config/systeminfo/scripts/functions.js
 doc/config/systeminfo/scripts/narrow.js
 doc/config/systeminfo/style/common.css
 doc/config/systeminfo/style/narrow.css
 doc/config/systeminfo/style/offline.css
 doc/config/systeminfo/style/style.css
 doc/config/systeminfo/style/style_ie6.css
 doc/config/systeminfo/style/style_ie7.css
 doc/config/systeminfo/style/superfish.css
 doc/config/systeminfo/images/arrow_down.png
 doc/config/systeminfo/images/bg_l.png
 doc/config/systeminfo/images/bg_l_blank.png
 doc/config/systeminfo/images/bg_ll_blank.png
 doc/config/systeminfo/images/bg_r.png
 doc/config/systeminfo/images/bg_ul_blank.png
 doc/config/systeminfo/images/box_bg.png
 doc/config/systeminfo/images/breadcrumb.png
 doc/config/systeminfo/images/bullet_dn.png
 doc/config/systeminfo/images/bullet_gt.png
 doc/config/systeminfo/images/bullet_sq.png
 doc/config/systeminfo/images/bullet_up.png
 doc/config/systeminfo/images/feedbackground.png
 doc/config/systeminfo/images/header_bg.png
 doc/config/systeminfo/images/horBar.png
 doc/config/systeminfo/images/page.png
 doc/config/systeminfo/images/page_bg.png
 doc/config/systeminfo/images/qt-logo.png
 doc/config/systeminfo/images/sprites-combined.png
 doc/config/systeminfo/style/style_ie8.css
 doc/src/publishsubscribe/examples/.directory
 doc/src/publishsubscribe/images/.directory
 doc/src/publishsubscribe/plugins/.directory
 doc/src/serviceframework/snippets/snippets.pro
Copyright: 2017, The Qt Company Ltd and/or its subsidiary(-ies).
License: GFDL-1.3
Comment:
 No explicit license headers provided by these files. Assuming license
 and copyright holdership from *.qdoc documentation files.

Files: doc/src/publishsubscribe/examples/battery-charge.qdoc
 doc/src/publishsubscribe/examples/examples-publishsubscribe.qdoc
 doc/src/publishsubscribe/examples/publish-subscribe.qdoc
 doc/src/publishsubscribe/plugins/qml-publishsubscribe.qdoc
 doc/src/publishsubscribe/publ-subs.qdoc
 doc/src/serviceframework/examples/dialer.qdoc
 doc/src/serviceframework/examples/servicebrowser.qdoc
 doc/src/serviceframework/examples/serviceframework-examples.qdoc
 doc/src/serviceframework/plugins/qml-serviceframework.qdoc
 doc/src/serviceframework/servicefwk-module.qdoc
 doc/src/serviceframework/servicefwk.qdoc
 doc/src/serviceframework/snippets/code/doc_src_lgpl.qdoc
 doc/src/systeminfo/systeminfo.qdoc
 src/serviceframework/qservice.qdoc
Copyright: 2017, The Qt Company Ltd and/or its subsidiary(-ies).
License: GFDL-1.3

Files: src/imports/publishsubscribe/plugins.qmltypes
 src/imports/serviceframework/plugins.qmltypes
 src/imports/systeminfo/plugins.qmltypes
Copyright: 2017-2018, The Qt Company Ltd and/or its subsidiary(-ies).
License: LGPL-2.1~with-Digia-Qt-LGPL-Exception-1.1 or GPL-3
Comment:
 Generated files.
 .
 No explicit license headers provided by these files. Assuming license
 and copyright holdership from majority of other code files.

Files: src/imports/systeminfo/qdeclarativenetworkinfo.cpp
 src/systeminfo/linux/qinputinfomanagermir.cpp
 src/systeminfo/linux/qinputinfomanagerudev.cpp
 src/systeminfo/linux/qinputinfomanagerudev_p.h
 src/systeminfo/qinputinfo.cpp
 src/systeminfo/qinputinfo.h
 src/systeminfo/qinputinfomanager.cpp
Copyright: 2018, Canonical, Ltd. and/or its subsidiary(-ies).
  2018, The Qt Company Ltd and/or its subsidiary(-ies).
License: LGPL-2.1~with-Digia-Qt-LGPL-Exception-1.1 or GPL-3

Files: examples/systeminfo/inputinfo/inputtest.cpp
 examples/systeminfo/inputinfo/inputtest.h
 examples/systeminfo/inputinfo/main.cpp
 examples/systeminfo/qml-inputinfo/main.cpp
 examples/systeminfo/qml-inputinfo/qml-inputinfo.qml
Copyright: 2018, Canonical, Ltd. and/or its subsidiary(-ies).
  2018, The Qt Company Ltd and/or its subsidiary(-ies).
License: BSD-3-clause

Files: src/imports/systeminfo/qdeclarativeinputdevicemodel_p.h
 src/systeminfo/linux/qinputinfomanagermir_p.h
 src/systeminfo/qinputinfomanager_p.h
Copyright: 2018, Canonical, Ltd. and/or its subsidiary(-ies).
License: LGPL-2.1~with-Digia-Qt-LGPL-Exception-1.1 or GPL-3

Files: doc/config/publishsubscribe/scripts/superfish.js
 doc/config/serviceframework/scripts/superfish.js
 doc/config/systeminfo/scripts/superfish.js
Copyright: 2008, Joel Birch
License: Expat or GPL-3

Files: tests/auto/systeminfo/qbatteryinfo/tst_qbatteryinfo.cpp
 tests/manual/sysinfo-tester/main.cpp
Copyright: 2018, BlackBerry Limited.
  2018, The Qt Company Ltd and/or its subsidiary(-ies).
License: GPL-3

Files: tests/auto/systeminfo/qinputdeviceinfo/tst_qinputdeviceinfo.cpp
Copyright: 2018, Canonical, Ltd. and/or its subsidiary(-ies).
  2018, The Qt Company Ltd and/or its subsidiary(-ies).
License: GPL-3

Files: tests/auto/cmake/test_modules/main.cpp
Copyright: 2018, Klarälvdalens Datakonsult AB, a KDAB Group company, info@kdab.com, author Stephen Kelly <stephen.kelly@kdab.com>
License: GPL-3

Files: src/imports/systeminfo/qdeclarativeinputdevicemodel.cpp
Copyright: 2018, Canonical Limited and/or its subsidiary(-ies).
  2018, Jolla.
License: LGPL-2.1~with-Digia-Qt-LGPL-Exception-1.1 or GPL-3

Files: debian/*
Copyright: 2007-2012, Fathi Boudra <fabo@debian.org>
           2007-2012, Sune Vuorela <debian@pusling.com>
           2008-2012, Modestas Vainius <modax@debian.org>
           2007-2009, Ana Beatriz Guerrero Lopez <ana@debian.org>
           2005-2007, Brian Nelson <pyro@debian.org>
           2012, Timo Jyrinki <timo.jyrinki@canonical.com>
           2024, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
License: LGPL-2.1

License: LGPL-2.1~with-Digia-Qt-LGPL-Exception-1.1
 GNU Lesser General Public License version 2.1:
 .
 This file may be used under the terms of the GNU Lesser General Public
 License version 2.1 as published by the Free Software Foundation and
 appearing in the file LICENSE.LGPL included in the packaging of this
 file. Please review the following information to ensure the GNU Lesser
 General Public License version 2.1 requirements will be met:
 http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
 .
 In addition, as a special exception, Digia gives you certain additional
 rights. These rights are described in the Digia Qt LGPL Exception
 version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
 .
 On Debian systems, the complete text of the GNU Lesser General Public License
 can be found in `/usr/share/common-licenses/LGPL-2.1`.
 .
 Digia Qt LGPL Exception version 1.1:
 As an additional permission to the GNU Lesser General Public License version
 2.1, the object code form of a "work that uses the Library" may incorporate
 material from a header file that is part of the Library.  You may distribute
 such object code under terms of your choice, provided that:
     (i)   the header files of the Library have not been modified; and
     (ii)  the incorporated material is limited to numerical parameters, data
           structure layouts, accessors, macros, inline functions and
           templates; and
     (iii) you comply with the terms of Section 6 of the GNU Lesser General
           Public License version 2.1.
 .
 Moreover, you may apply this exception to a modified version of the Library,
 provided that such modification does not involve copying material from the
 Library into the modified Library's header files unless such material is
 limited to (i) numerical parameters; (ii) data structure layouts;
 (iii) accessors; and (iv) small macros, templates and inline functions of
 five lines or less in length.
 .
 Furthermore, you are not required to apply this additional permission to a
 modified version of the Library.

License: GPL-3
 GNU General Public License Usage:
 .
 Alternatively, this file may be used under the terms of the GNU
 General Public License version 3.0 as published by the Free Software
 Foundation and appearing in the file LICENSE.GPL included in the
 packaging of this file.  Please review the following information to
 ensure the GNU General Public License version 3.0 requirements will be
 met: http://www.gnu.org/copyleft/gpl.html.
 .
 On Debian systems, the complete text of the license can be found in
 `/usr/share/common-licenses/GPL-3`.

License: LGPL-2.1
 GNU Lesser General Public License version 2.1:
 .
 This file may be used under the terms of the GNU Lesser General Public
 License version 2.1 as published by the Free Software Foundation and
 appearing in the file LICENSE.LGPL included in the packaging of this
 file.  Please review the following information to ensure the GNU Lesser
 General Public License version 2.1 requirements will be met:
 http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
 .
 On Debian systems, the complete text of the LGPL-2.1 license can be
 found in `/usr/share/common-licenses/LGPL-2.1`,

License: BSD-3-clause
 You may use this file under the terms of the BSD license as follows:
 .
 Redistribution and use in source and binary forms, with or without
 modification, are permitted provided that the following conditions are
 met:
   * Redistributions of source code must retain the above copyright
     notice, this list of conditions and the following disclaimer.
   * Redistributions in binary form must reproduce the above copyright
     notice, this list of conditions and the following disclaimer in
     the documentation and/or other materials provided with the
     distribution.
   * Neither the name of Digia Plc and its Subsidiary(-ies) nor the names
     of its contributors may be used to endorse or promote products derived
     from this software without specific prior written permission.
 .
 THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
 OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

License: Expat
 Permission is hereby granted, free of charge, to any person obtaining a
 copy of this software and associated documentation files (the
 "Software"), to deal in the Software without restriction, including
 without limitation the rights to use, copy, modify, merge, publish,
 distribute, sublicense, and/or sell copies of the Software, and to
 permit persons to whom the Software is furnished to do so, subject to
 the following conditions:
 .
 The above copyright notice and this permission notice shall be included
 in all copies or substantial portions of the Software.
 .
 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
 IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY
 CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
 TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
 SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

License: GFDL-1.3
 GNU Free Documentation License Usage:
 .
 Alternatively [to the commercial license], this file may be used under
 the terms of the GNU Free Documentation License version 1.3 as published
 by the Free Software Foundation and appearing in the file included in
 the packaging of this file.  Please review the following information to
 ensure the GNU Free Documentation License version 1.3 requirements will
 be met: http://www.gnu.org/copyleft/fdl.html.
 .
 On Debian systems, the complete text of the GFDL-1.3 license can be
 found in `/usr/share/common-licenses/GFDL-1.3`.
